﻿using AvaloniaApplicationTestNew.Models;
using ReactiveUI;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AvaloniaApplicationTestNew.ViewModels
{
    public class AuthorizationViewModel : ViewModelBase
    {
        string login = "";
        string password = "";
        string message = "";
        char? passwordChar = '*';

        public string Login {  get => login;  set => login = value; }
        public string Password { get => password; set => password = value; }
        public string Message { get => message; set => this.RaiseAndSetIfChanged(ref message, value); }
        public char? PasswordChar { get => passwordChar; set => this.RaiseAndSetIfChanged(ref passwordChar, value); }
        public void Error()
        {
             password = "";
             login = "";
        }
    }
}
